@font-face {
  font-family: "Source Sans Pro";
  src: url("../fonts/SourceSansPro/SourceSansPro-Regular.ttf");
}

@font-face {
    font-family: "Source Sans Pro-fallback";
    size-adjust: 93.75%;
    ascent-override: 110%;
    src: local("Arial");
}

html {
    height: 100%;
}

body {
    font-family: "Source Sans Pro", "Source Sans Pro-fallback";
    font-size: 18px;
    margin: 0;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    line-height: 1.625em;
    color: #585959;
}

a:link, a:visited {
    color: #7D4698;
    text-decoration: none;
}

body > header, body > footer, section.content {
    margin: 0 auto;
    display: flex;
    flex-direction: row;
}

body > header {
    margin-top: 20px;
    padding-left: 0;
}

body > header, section.content {
    max-width: 1170px;
    width: 98%;
}

@media screen and (min-width: 640px) {
    body > header, section.content {
        width: 90%;
    }
    body > header {
        margin-top: 50px;
        padding-left: 15px;
    }
    main {
        padding: 15px 15px 0 0 !important;
    }
}

body > header .navbar-brand {
    display: inline-block;
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
}

body > header nav {
    width: 100%;
}

body > header nav a:link, header nav a:visited {
    color: #5A5A5A;
}

body > header nav ul.navbar-nav {
    display: inline-block;
    list-style: none;
    margin: 0;
    padding: 0;
    float: right;

}

body > header nav ul li {
    display: inline;
    margin: 0 20px 0 0;
    padding: 0;
    font-weight: bold;
    font-size: 16px;
}

body > header nav li#ddgsearch label {
    cursor: pointer;
}

body > header nav li#ddgsearch #trigger {
    display: none;
    visibility: hidden;
}

body > header nav li#ddgsearch #trigger:checked ~ form {
    display: inline-block;
}

body > header nav li#ddgsearch form {
    display: none;
}

body > header nav li#ddgsearch .form-control {
    border-radius: .25rem;
    border-width: 1px;
    margin-left: 0.5rem;
    padding: 0.25rem;
    width: 15rem;
}

h1, h2, h3, h4, h5, h6 {
    color: #7D4698;
    font-weight: 400;
}

section.content {
    flex-wrap: wrap;
    border-top: 1px solid #ebebeb;
    flex: 1;
    overflow: hidden;
}

main, aside.sidebar{
    display: flex;
    flex-direction: column;
    flex: 1;
    min-width: 200px;
    border-left: 1px solid #ebebeb;
    margin-left: -1px;
}

main {
    flex-basis: 75%;
    padding: 15px 15px 0;
}

aside.sidebar {
    flex-basis: fill;
    padding-top: 15px;
    padding-left: 15px;
    line-height: 1.3em;
}

h1.index-title {
    margin-bottom: 18px !important;
}

h1.title {
    font-size: 34px;
    line-height: 37px;
    margin-bottom: 9.5px;
    margin-top: 0;
}

h2.title {
    font-size: 30px;
    line-height: 33px;
    margin-bottom: 9.5px;
    margin-top: 0;
}

aside.sidebar h2.section-title {
    font-size: 22px;
    line-height: 20px;
    margin-top: 0;
    margin-bottom: 26px;
    color: #636363;
    font-weight: 700;
    letter-spacing: 0.6px
}

aside.sidebar h2.title {
    font-size: 18px;
    font-weight: bold;
    letter-spacing: 0.8px;
    line-height: 20px;
    margin-top: 0;
    margin-bottom: 8px;
}

article h2.title a:link,
article h2.title a:visited {
    color: #7D4698;
}

aside.sidebar section.recent h2.title {
    margin-bottom: 8px;
}

aside.sidebar div.blog-post,
aside.sidebar div.event {
    margin-bottom: 30px;
}

aside.sidebar section:nth-child(n+2) {
    padding-top: 30px;
    border-top: 1px solid #ebebeb;
}

aside.sidebar p.dates {
    font-size: 14px;
    line-height: 19px;
    letter-spacing: 0.4px;
    color: #585959;
    margin: 0;
    padding: 0;
}

aside.sidebar {
    font-size: 14px;
    color: #585959;
}

article {
    margin-bottom: 30px;
}

article p.dates {
    font-size: 20px;
    font-weight: 300;
    color: #7D4698;
    letter-spacing: 0.2px;
    margin-top: 0;
}

article p.meta {
    font-size: 14px;
    color: #7D4698;
    letter-spacing: 0.2px;
    margin-top: 0;
}

article p.meta a:link,
article p.meta a:visited {
    color: #7D4698;
}


article img.lead {
    margin: 0;
}

article img.lead {
    width: 100%;
}

article .body h1 {
    font-size: 26px;
}

article a:link,
article a:visited {
    color: #68b030;
}

article .body img {
    max-width: 100%;
}

article .body img.align-left {
    float: left;
    margin-right: 1rem;
}

article .body img.align-center {
    display: block;
    margin: 0 auto;
}

article .body hr {
    clear: both;
    border: 0;
    border-top: 1px solid #eeeeee;
}

article .body p > code {
	font-size: 85%;
	background-color: #f8f9fa;
	border: 1px solid #eaecf0;
	padding: 1px 4px;
}

pre {
	word-break: break-all;
	word-wrap: break-word;
	white-space: pre-wrap;
}

article .body div.hll,
article .body pre > code {
	border-left: 6px #7D4698 solid;
	padding: 8px 8px 8px 20px;
	background-color: #f8f8f8;
	display: block;
	max-width: 100%;
	line-height: 1.5;
}

article table {
    border-collapse: collapse;
}

article table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #e9ecef;
    background-color: #f8f8f8;
}

article table th,
article table td {
    padding: 0.6rem;
    vertical-align: top;
    border: 1px solid #e9ecef;
}

div.categories {
    margin-top: 26px;
}

div.categories ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

div.categories ul li {
    display: inline;
    margin: 0 8px;
    padding: 4px 6px;
    border: 1px solid #7D4698;;
}

div.categories ul li a {
    color: #222;
    font-size: 14px;
}

div.share-links {
    text-align: center;
}

div.share-links a {
    display: inline-block;
    margin-right: 1em;
    font-size: 1.1rem;
    white-space: nowrap;
}

div.share-links .fab, div.share-links .fas {
    font-size: 1.3rem;
    padding-right: 0.5rem;
}
}

div.comments h2 {
    margin-bottom: 0;
}

div.pagination {
    text-align: center;
    margin: 30px 5rem;
    font-size: 20px;
}

div.pagination .first {
    float: left;
}

div.pagination .last {
    float: right;
}

body > footer {
    display: block;
    /*flex-wrap: wrap;*/
    width: 100%;
    background-color: #59316B;
    color: #FFF;
    font-size: 1.1rem;
    line-height: 1.7rem;
}

body > footer .row {
    /*flex: 0 0 100%;*/
    max-width: 1170px;
    width: 90%;
    margin: 0 auto 30px;
}


body > footer h3 {
    color: #FFF;
}

body > footer a:link,
body > footer a:visited {
    color: #FFF;
    text-decoration: underline;
}

body > footer .download {
    display: flex;
    flex-wrap: wrap;
    margin: 0 0 30px 0;
    width: 100%;
    max-width: 100%;
    min-height: 220px;
}

body > footer .download .col {
    flex: 0 0 50%;
}

body > footer .download .circles {
    background-image: url("../images/circle-pattern.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top right;
    margin: 0 20px 0 -20px;
    max-width: 708px;
    max-height: 228px;
}

body > footer .download .link {
    padding-top: 3rem;
}

.fa-arrow-down-png-purple {
    background-image: url("../fonts/fontawesome/png/primary/solid/arrow-down.png");
    width: 1em;
    height: 1em;
    background-size: cover;
}

body > footer .social {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

body > footer .social h3 {
    text-transform: uppercase;
    font-size: 18px;
    color: #e6d5ee;
}

body > footer .social .col {
    flex: 0 0 50%;
    max-width: 50%;
}

body > footer .social .links {
    display: flex;
    flex-wrap: wrap;
    flex: 0 0 16.6666666667%;
}

body > footer .social .links h4 {
    padding: 0 1rem !important;
    margin-bottom: 0.5rem;
}

body > footer .social .links .row {
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    font-size: 1.5rem;
}

body > footer .notice {
    display: flex;
    align-items: center;
    justify-content: center;
}

body > footer .notice p {
    display: inline-block;
    flex: 0 0 66.6666666667%;
    margin: 0;
}

.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    user-select: none;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    background-color: #FFF;
    color: #7D4698 !important;
    text-decoration: none !important;
    font-size: 16px;
}

.btn-dark {
    background-color: #3c2148;
    border-color: #351d3f;
    box-shadow: 0 0 0 0.2rem rgba(89, 49, 107, 0.5);
    color: #FFF !important;
}
